1 Reply Latest reply on Mar 8, 2018 12:16 AM by Intel Corporation

    AttributeError: module 'pandas' has no attribute 'compat'




      When trying to import TensorFlow in the cluster, I get the following error for the module pandas:


      Traceback (most recent call last):

        File "localcnn_sourceloc_01.py", line 13, in <module>

          from halcon_src import models, graph, coarsening, utils

        File "../halcon_src/models.py", line 3, in <module>

          import tensorflow as tf

        File "/glob/intel-python/python3/lib/python3.6/site-packages/tensorflow/__init__.py", line 24, in <module>

          from tensorflow.python import *

        File "/glob/intel-python/python3/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 77, in <module>

          from tensorflow.python.estimator import estimator_lib as estimator

        File "/glob/intel-python/python3/lib/python3.6/site-packages/tensorflow/python/estimator/estimator_lib.py", line 32, in <module>

          from tensorflow.python.estimator.inputs import inputs

        File "/glob/intel-python/python3/lib/python3.6/site-packages/tensorflow/python/estimator/inputs/inputs.py", line 23, in <module>

          from tensorflow.python.estimator.inputs.pandas_io import pandas_input_fn

        File "/glob/intel-python/python3/lib/python3.6/site-packages/tensorflow/python/estimator/inputs/pandas_io.py", line 28, in <module>

          import pandas as pd

        File "/glob/intel-python/python3/lib/python3.6/site-packages/pandas/__init__.py", line 40, in <module>

          import pandas.core.config_init

        File "/glob/intel-python/python3/lib/python3.6/site-packages/pandas/core/config_init.py", line 14, in <module>

          import pandas.core.config as cf

        File "/glob/intel-python/python3/lib/python3.6/site-packages/pandas/core/config.py", line 57, in <module>

          import pandas.compat as compat

      AttributeError: module 'pandas' has no attribute 'compat'


      I do not have this issue when running in my PC. I'm using Python 3.6 and TensorFlow 1.4.0.

      I've checked for similar issues on online forums and apparently this problem can be solved by upgrading dask, however I do not have permission to do so. Can you please assist?


      Thank you!